
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: allegro: fix noexecstack build on ARM

The patch allegro-4.2.0-noexecstack.patch blindly adds noexecstack
annotations to all .s files in the allegro build tree, but fails to
take into account the different syntax of that annotation on ARM
platforms.

This hacky patch runs a s// over the source tree to fix the relevant
annotations up, but the right approach would be to fold the fixups for
ARM-specific .s files in the tree into allegro-4.2.0-noexecstack.patch.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/allegro.spec
===================================================================
--- SPECS.orig/allegro.spec
+++ SPECS/allegro.spec
@@ -1,6 +1,6 @@
 Name:           allegro
 Version:        4.2.2
-Release:        7%{?dist}
+Release:        7%{?dist}.fa1
 
 Summary:        A game programming library
 Summary(es):    Una libreria de programacion de juegos
@@ -165,6 +165,9 @@ sound through JACK (Jack Audio Connectio
 %patch8 -p1 -z .gcc43
 iconv -f iso-8859-1 -t utf-8 docs/src/allegro._tx > docs/src/allegro._tx.tmp
 mv docs/src/allegro._tx.tmp docs/src/allegro._tx
+%ifarch %{arm}
+find -name "*.s" | xargs perl -pi -e "s/\@progbits/%progbits/"
+%endif
 
 
 %build
